import express from "express";
/**
 * Initialize Express application instance.
 * @returns An initialized Express application object.
 */
const app = express();



/**
 * Handle GET request for homepage route ('/').
 * Send back a simple text response.
 * @param {express.Request} req - HTTP Request object.
 * @param {express.Response} res - HTTP Response object.
 */
function getRoot(req: express.Request, res: express.Response) {
    res.send("hello world from dev");
}

app.get("/", getRoot);

export default app;